Redmine - Feature #37862

Estimated time remaining issue query column
2022-10-30 03:52 - Jens Kramer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Issues list Estimated time: 0.00 hour
Target version: 6.0.0

Resolution:

Description

The attached patch, which was extracted from Planio, adds an issue query column that represents the estimated remaining time to

completion, calculated from estimated time and done ratio.

The main use case here is to get a quick estimation of the remaining effort for completion of a group of issues by adding the column

in the query totals.

Related issues:

Related to Redmine - Feature #24277: Introducing Remaining Time field as meth...

Has duplicate Redmine - Feature #5285: Introduce "Remaining time" column on "...

2010-04-09

Associated revisions

Revision 22800 - 2024-05-01 09:49 - Marius BALTEANU

Adds estimated remaining hours issue query column calculated based on estimated time and done ratio (#37862).

Patch by Jens Kramer (@jkraemer).

Revision 22801 - 2024-05-01 11:21 - Go MAEDA
Fix RuboCop offense Style/SuperWithArgsParentheses (#37862).

Revision 22812 - 2024-05-03 15:20 - Marius BALTEANU
Update locales (#37862).

Revision 22857 - 2024-06-04 22:16 - Marius BALTEANU

Move logic for estimated remaining hours from QueryColumn to Issue (#37862).

Revision 22858 - 2024-06-04 22:17 - Marius BALTEANU
Adds estimated remaining time to version page (#37862, #1671).

Revision 22860 - 2024-06-05 10:21 - Go MAEDA

Fix RuboCop offense Naming/MemoizedInstanceVariableName (#37862, #1671).

History

#1 - 2022-10-30 08:08 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2022-11-07 10:02 - Go MAEDA

- Related to Feature #24277: Introducing Remaining Time field as method to track the remaining time to complete an issue added

#3 - 2024-05-01 03:45 - Radek Pesina

- File 0001-estimated-remaining-hours-issue-query-column_5.1.2.patch added

Hi,

For ease of making it into the next major release, I've merged the patch to the latest version of Redmine (v5.1.2).
https://plan.io/redmine-hosting

#4 - 2024-05-01 09:50 - Marius BALTEANU
- Status changed from New to Resolved
- Assignee set to Marius BALTEANU

- Target version changed from Candidate for next major release to 6.0.0
I've committed this feature for 6.0.0.

#5 - 2024-05-01 09:52 - Marius BALTEANU

This is a nice addition, but | think we should develop more this feature in order to add this info also to issue page and roadmap. On top of this, we

should make this behaviour configurable in order to support also the feature from #24277.

#6 - 2024-05-02 18:16 - Marius BALTEANU

- File 0001-Move-logic-for-estimated-remaining-hours-from-QueryC.patch added
- File 0002-Adds-estimated-remaining-time-to-version-page-37862-.patch added
- File clipboard-202405021916-33254.png added

Jens, | made some changes in top of your patch in order to add the estimated remaining time info also to version page:

clipboard-202405021916-33254.png
What do you think?

#7 - 2024-05-02 18:19 - Marius BALTEANU
- File deleted (0002-Adds-estimated-remaining-time-to-version-page-37862-.patch)

#8 - 2024-05-02 18:19 - Marius BALTEANU
- File 0002-Adds-estimated-remaining-time-to-version-page-37862-.patch added

#9 - 2024-05-07 12:02 - Jens Kramer

Looks good to me!

#10 - 2024-06-04 22:17 - Marius BALTEANU

- Status changed from Resolved to Closed

#11 - 2024-06-04 22:19 - Marius BALTEANU

- Has duplicate Feature #5285: Introduce "Remaining time" column on "Issues list" page added

#12 - 2024-11-04 06:19 - Go MAEDA

- Tracker changed from Patch to Feature

Files

0001-estimated-remaining-hours-issue-query-column.patch 6.27 KB 2022-10-30 Jens Kramer
0001-estimated-remaining-hours-issue-query-column_5.1.2.patch 6.26 KB 2024-05-01 Radek Pesina
0001-Move-logic-for-estimated-remaining-hours-from-QueryC.patch  2.77 KB 2024-05-02 Marius BALTEANU
clipboard-202405021916-33254.png 158 KB 2024-05-02 Marius BALTEANU
0002-Adds-estimated-remaining-time-to-version-page-37862-.patch  4.85 KB 2024-05-02 Marius BALTEANU
